## cinder 22.0.0

=== debian/changelog ===
cinder (2:22.0.0-0ubuntu1.3) lunar-security; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088.patch: Reject unsafe delete
      attachment calls.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 12:03:07 -0400

cinder (2:22.0.0-0ubuntu1.2) lunar-security; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 10:54:39 -0400

cinder (2:22.0.0-0ubuntu1.1) lunar-security; urgency=medium

  * d/gbp.conf: Create stable/2023.1 branch.
  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Reject unsafe delete
      attachment calls.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 10:01:54 +0200

cinder (2:22.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/p/skip-mock-spec-failures.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:22:07 -0400

cinder (2:21.1.0+git2023030309.3ddce92b-0ubuntu1) lunar; urgency=medium

  * d/control: Drop min version of python3-mypy to enable backport
    to cloud-archive.
  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/p/skip-mock-spec-failures.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:24:48 -0500

cinder (2:21.1.0+git2023022212.0af3df67-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 12:14:47 -0500

cinder (2:21.1.0+git2023012815.c9e65529-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 28 Jan 2023 15:35:42 -0500

cinder (2:21.0.0+git2023011009.2db3fc3e-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-mock-spec-failures.patch: Skip tests that are affected by
    "Cannot spec a Mock object" failure.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:38:14 -0500

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 5.8.0),
 python3-setuptools,
 python3-sphinx (>= 3.5.1),
 python3-tabulate (>= 0.8.7),
Build-Depends-Indep:
 python3-barbicanclient (>= 5.0.1),
 python3-boto3 (>= 1.18.49),
 python3-botocore,
 python3-castellan (>= 3.7.0),
 python3-coverage,
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-ddt (>= 1.4.4),
 python3-decorator (>= 4.4.2),
 python3-doc8,
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-googleapi (>= 1.7.11),
 python3-greenlet (>= 0.4.16),
 python3-hacking,
 python3-httplib2 (>= 0.18.1),
 python3-importlib-metadata (>= 3.1.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-migrate (>= 0.13.0),
 python3-mock (>= 2.0.0),
 python3-mypy,
 python3-novaclient (>= 2:17.2.1),
 python3-oauth2client (>= 4.1.3),
 python3-openstackdocstheme (>= 2.2.7),
 python3-os-api-ref (>= 2.1.0),
 python3-os-brick (>= 6.0.0),
 python3-os-win (>= 5.5.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.4.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 4.12.1),
 python3-oslo.versionedobjects (>= 2.4.0),
 python3-oslo.vmware (>= 3.10.0),
 python3-oslotest (>= 1:4.5.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.10.0),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.25.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-six (>= 1.15.0),
 python3-sphinx-feature-classification (>= 1.1.0),
 python3-sphinxcontrib.apidoc (>= 0.3.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-sqlalchemy-utils (>= 0.37.8),
 python3-stestr (>= 3.2.1),
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-taskflow (>= 4.5.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.3.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tooz (>= 2.8.0),
 python3-tz (>= 2020.1),
 python3-webob (>= 1:1.8.6),
 python3-zstd (>= 1.4.5.1),
Standards-Version: 4.6.1
Homepage: https://launchpad.net/cinder
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Testsuite: autopkgtest-pkg-python

Package: cinder-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-scheduler
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 lvm2,
 python3-cinder (= ${binary:Version}),
 qemu-utils,
 targetcli-fb,
 ${misc:Depends},
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 python3-barbicanclient (>= 5.0.1),
 python3-castellan (>= 3.7.0),
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-decorator (>= 4.4.2),
 python3-eventlet (>= 0.30.1),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-httplib2 (>= 0.18.1),
 python3-importlib-metadata (>= 3.1.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-migrate (>= 0.13.0),
 python3-novaclient (>= 2:17.2.1),
 python3-os-brick (>= 6.0.0),
 python3-os-win (>= 5.5.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.4.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 4.12.1),
 python3-oslo.versionedobjects (>= 2.4.0),
 python3-oslo.vmware (>= 3.10.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pbr (>= 5.8.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.25.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-six (>= 1.15.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-tabulate (>= 0.8.7),
 python3-taskflow (>= 4.5.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.8.0),
 python3-tz (>= 2020.1),
 python3-webob (>= 1:1.8.6),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-boto3 (>= 1.18.49),
 python3-botocore,
 python3-googleapi (>= 1.7.11),
 python3-hp3parclient,
 python3-oauth2client (>= 4.1.3),
 python3-rados,
 python3-rbd,
 python3-zstd (>= 1.4.5.1),
Description: Cinder Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python 3 library for Cinder.

## cinder 22.1.0

=== debian/changelog ===
cinder (2:22.1.0-0ubuntu1) lunar; urgency=medium

  * New stable point release for OpenStack Antelope (LP: #2025491).
  * d/p/CVE-2023-2088.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Jun 2023 13:33:59 -0400

## cinder 22.1.0+git2023071214.c1a18fcd

=== debian/changelog ===
cinder (2:22.1.0+git2023071214.c1a18fcd-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-mock-spec-failures.patch: Dropped. No longer needed.
  * d/p/CVE-2023-2088-*.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:06:18 -0400

cinder (2:22.0.0-0ubuntu4) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088-1.patch: Reject unsafe delete
      attachment calls.
    - debian/patches/CVE-2023-2088-2.patch: Doc: Improve service token.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 May 2023 16:16:03 -0400

cinder (2:22.0.0-0ubuntu3) mantic; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 10:53:15 -0400

cinder (2:22.0.0-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Reject unsafe delete
      attachment calls.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 13:32:55 +0200

## cinder 22.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.8.0 # Apache-2.0
decorator>=4.4.2 # BSD
eventlet>=0.30.1,!=0.32.0 # MIT
greenlet>=0.4.16 # MIT
httplib2>=0.18.1 # MIT
importlib_metadata>=3.1.1 # Apache-2.0
iso8601>=0.1.12 # MIT
jsonschema>=3.2.0 # MIT
keystoneauth1>=4.2.1 # Apache-2.0
keystonemiddleware>=9.1.0 # Apache-2.0
lxml>=4.5.2 # BSD
oauth2client>=4.1.3 # Apache-2.0
oslo.config>=8.3.2 # Apache-2.0
oslo.concurrency>=4.5.0 # Apache-2.0
oslo.context>=3.4.0 # Apache-2.0
oslo.db>=11.0.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=3.8.1 # Apache-2.0
oslo.privsep>=2.6.2 # Apache-2.0
oslo.reports>=2.2.0 # Apache-2.0
oslo.rootwrap>=6.2.0 # Apache-2.0
oslo.serialization>=4.2.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
oslo.upgradecheck>=1.1.1 # Apache-2.0
oslo.utils>=4.12.1 # Apache-2.0
oslo.versionedobjects>=2.4.0 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
packaging>=20.4
paramiko>=2.7.2 # LGPLv2.1+
Paste>=3.4.3 # MIT
PasteDeploy>=2.1.0 # MIT
psutil>=5.7.2 # BSD
pyparsing>=2.4.7 # MIT
python-barbicanclient>=5.0.1 # Apache-2.0
python-glanceclient>=3.2.2 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
python-novaclient>=17.2.1 # Apache-2.0
python-swiftclient>=3.10.1 # Apache-2.0
pytz>=2020.1 # MIT
requests>=2.25.1 # Apache-2.0
Routes>=2.4.1 # MIT
taskflow>=4.5.0 # Apache-2.0
rtslib-fb>=2.1.74 # Apache-2.0
six>=1.15.0 # MIT
SQLAlchemy>=1.4.23 # MIT
sqlalchemy-migrate>=0.13.0 # Apache-2.0
stevedore>=3.2.2 # Apache-2.0
tabulate>=0.8.7 # MIT
tenacity>=6.3.1 # Apache-2.0
WebOb>=1.8.6 # MIT
oslo.i18n>=5.1.0 # Apache-2.0
oslo.vmware>=3.10.0 # Apache-2.0
os-brick>=6.0.0 # Apache-2.0
os-win>=5.5.0 # Apache-2.0
tooz>=2.8.0 # Apache-2.0
google-api-python-client>=1.11.0 # Apache-2.0
castellan>=3.7.0 # Apache-2.0
cryptography>=3.1 # BSD/Apache-2.0
cursive>=0.2.2 # Apache-2.0
zstd>=1.4.5.1 # BSD
boto3>=1.18.49 # Apache-2.0

=== debian/changelog ===
cinder (2:22.1.1-0ubuntu1.3~cloud3) jammy-antelope; urgency=medium

  * d/p/lp2083061.patch: Fix race condition when deleting cloned
    volumes and their parents at the same time. (LP: #2083061)
  * d/p/lp1823445.patch: Fix "signature_verified" volume metadata
    from propagating to images and causing errors later when
    creating volumes from such images (LP: #1823445).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 25 Nov 2024 14:40:13 +0000

cinder (2:22.1.1-0ubuntu1.3~cloud2) jammy-antelope; urgency=medium

  * SECURITY REGRESSION: regression due to missing privset handling
    (LP: #2085851)
    - debian/patches/CVE-2024-32498.patch: switch to final upstream patch
      which differs from the patch provided during embargo.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Nov 2024 09:44:34 +0000

cinder (2:22.1.1-0ubuntu1.3~cloud1) jammy-antelope; urgency=medium

  * Increase size of volume image metadata values to 65535 bytes
    (LP: #1988942)

 -- Jorge Merlino <jorge.merlino@canonical.com>  Tue, 10 Sep 2024 15:21:28 -0300

cinder (2:22.1.1-0ubuntu1.3~cloud0) jammy; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498.patch: check for external qcow2 data
      file in cinder/image/image_utils.py,
      cinder/tests/unit/test_image_utils.py.
    - debian/control: added qemu-utils to Build-Depends so qemu-img is
      available for new tests.
    - CVE-2024-32498

 -- James Page <james.page@ubuntu.com>  Mon, 24 Jun 2024 11:10:13 +0100

cinder (2:22.1.1-0ubuntu1.1~cloud0) jammy-antelope; urgency=medium

  * revert driver assister volume retype (LP: #2019190)
    - d/p/0001-Revert-Driver-assisted-migration-on-retype-when-it-s.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 26 Jan 2024 12:18:28 +0000

cinder (2:22.1.1-0ubuntu1) lunar; urgency=medium

  * New stable point release for OpenStack Antelope (LP: #2037319).
  * d/p/skip-mock-spec-failures.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Sep 2023 15:11:01 -0400

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  python3-setuptools,
  python3-sphinx (>= 3.5.1),
  python3-tabulate (>= 0.8.7),
+ qemu-utils,
 Build-Depends-Indep:
  python3-barbicanclient (>= 5.0.1),
  python3-boto3 (>= 1.18.49),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(\d.*)\.tar\.gz

## cinder 23.0.0

=== requirements.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 python-barbicanclient>=5.0.1 # Apache-2.0
 python-glanceclient>=3.2.2 # Apache-2.0
 python-keystoneclient>=4.1.1 # Apache-2.0
-python-novaclient>=17.2.1 # Apache-2.0
+python-novaclient>=18.2.0 # Apache-2.0
 python-swiftclient>=3.10.1 # Apache-2.0
 pytz>=2020.1 # MIT
 requests>=2.25.1 # Apache-2.0
@@ -49,7 +49,6 @@
 rtslib-fb>=2.1.74 # Apache-2.0
 six>=1.15.0 # MIT
 SQLAlchemy>=1.4.23 # MIT
-sqlalchemy-migrate>=0.13.0 # Apache-2.0
 stevedore>=3.2.2 # Apache-2.0
 tabulate>=0.8.7 # MIT
 tenacity>=6.3.1 # Apache-2.0

=== debian/changelog ===
cinder (2:23.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:49:51 -0400

cinder (2:23.0.0~rc1-0ubuntu1) mantic; urgency=medium

  * New upstream release candidate for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Sep 2023 17:49:56 -0400

cinder (2:22.1.0+git2023090509.f79048d2-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/p/install-missing-db-files.patch: Install missing db files, including
    cinder/db/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 09:17:12 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  python3-setuptools,
  python3-sphinx (>= 3.5.1),
  python3-tabulate (>= 0.8.7),
- qemu-utils,
 Build-Depends-Indep:
  python3-barbicanclient (>= 5.0.1),
  python3-boto3 (>= 1.18.49),
@@ -43,7 +42,7 @@
  python3-migrate (>= 0.13.0),
  python3-mock (>= 2.0.0),
  python3-mypy,
- python3-novaclient (>= 2:17.2.1),
+ python3-novaclient (>= 2:18.2.0),
  python3-oauth2client (>= 4.1.3),
  python3-openstackdocstheme (>= 2.2.7),
  python3-os-api-ref (>= 2.1.0),
@@ -212,7 +211,7 @@
  python3-keystonemiddleware (>= 9.1.0),
  python3-lxml (>= 4.5.2),
  python3-migrate (>= 0.13.0),
- python3-novaclient (>= 2:17.2.1),
+ python3-novaclient (>= 2:18.2.0),
  python3-os-brick (>= 6.0.0),
  python3-os-win (>= 5.5.0),
  python3-oslo.concurrency (>= 4.5.0),

## cinder 23.0.0+git2024011915.b8cd101f

=== debian/changelog ===
cinder (2:23.0.0+git2024011915.b8cd101f-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 15:56:17 +0000

cinder (2:23.0.0-0ubuntu3) noble; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * d/p/py312-tests-mock-assert.patch: Add prefix assert_
    to mock object assertions missing it (stricter in 3.12).

  [ Corey Bryant ]
  * d/control: Update min version of python3-taskflow to
    ensure it supports Python 3.12.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Dec 2023 17:04:19 -0500

cinder (2:23.0.0-0ubuntu2) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.
  * d/control: set min version of openstack-pkg-tools to ensure
    Should-Start/Stop is fixed.

  [ Mauricio Faria de Oliveira ]
  * d/cinder-volume.init.in: add tgt to Should-Start/Stop (LP: #1987663)
    Requires rebuild to pick up openstack-pkg-tools 123ubuntu2 in noble.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 10 Nov 2023 13:10:45 -0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  dh-apache2,
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123ubuntu2~),
  python3-all,
  python3-pbr (>= 5.8.0),
  python3-setuptools,
@@ -91,7 +91,7 @@
  python3-stevedore (>= 1:3.2.2),
  python3-suds (>= 0.6),
  python3-swiftclient (>= 1:3.10.1),
- python3-taskflow (>= 4.5.0),
+ python3-taskflow (>= 5.4.0-0ubuntu2~),
  python3-tempest (>= 1:17.1.0),
  python3-tenacity (>= 6.3.1),
  python3-testrepository (>= 0.0.18),
@@ -251,7 +251,7 @@
  python3-suds (>= 0.6),
  python3-swiftclient (>= 1:3.10.1),
  python3-tabulate (>= 0.8.7),
- python3-taskflow (>= 4.5.0),
+ python3-taskflow (>= 5.4.0-0ubuntu2~),
  python3-tenacity (>= 6.3.1),
  python3-tooz (>= 2.8.0),
  python3-tz (>= 2020.1),

## cinder 23.5.0

=== debian/changelog ===
cinder (2:23.5.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Wed, 30 Apr 2025 08:20:11 +0000

cinder (2:23.3.0-1) UNRELEASED; urgency=medium

  * New upstream point release.
  * Removed cve-2024-32498-cinder-stable-2023.2.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Nov 2024 08:26:58 +0100

cinder (2:23.0.0-6) UNRELEASED; urgency=medium

  * Correctly calls manage_glance_api_servers() in config script.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2024 03:58:48 +0200

cinder (2:23.0.0-5) UNRELEASED; urgency=medium

  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074763):
    - cve-2024-32498-cinder-stable-2023.2.patch
  * Blacklist unit test TestObjectVersions.test_versions().
  * Add qemu-utils build-depends (needed for new tests).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 09:16:47 +0200

cinder (2:23.0.0-4) unstable; urgency=medium

  * Add add-params-thin_provisioning-equal-one.patch.
  * Add Fix_invalid_assert_calls.patch. (Closes: #1056233).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Dec 2023 17:56:41 +0100

cinder (2:23.0.0-3) unstable; urgency=medium

  * Restrict autopkgtest to Architecture: amd64, arm64.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2023 10:09:42 +0100

cinder (2:23.0.0-2) unstable; urgency=medium

  * Add upstream SQLAlchemy 2.x support patches:
    - sqla2.0-db_Configure_check_constraint.patch
    - sqla2.0-db_Dont_rely_on_branched_connections.patch
    - sqla2.0-db_Dont_rely_on_branched_connections.patch.base64
    - sqla2.0-db_Remove_erroneous_primary_key_definitions.patch
    - sqla2.0-db_Remove_unnecessary_configure_call.patch
    - sqla2.0-db_Replace_use_of_Connection.execute.patch
    - sqla2.0-db_Replace_use_of_enginefacade_in_migrations.patch
    - sqla2.0-db_Use_the_same_connection_throughout_test.patch
  * Re-add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2023 14:13:18 +0100

cinder (2:23.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 08:45:10 +0200

cinder (2:23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream:
    - py3.11-test_rbd_iscsi_Make_tests_compatible_with_python.patch
    - CVE-2023-2088_Reject_unsafe_delete_attachment_calls.patch
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 08:50:48 +0200

cinder (2:22.0.0-6) unstable; urgency=medium

  * Cleans properly (Closes: #1044028).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 13:32:02 +0200

cinder (2:22.0.0-5) unstable; urgency=medium

  * Define export MALLOC_ARENA_MAX=1, export MALLOC_MMAP_THRESHOLD_=131072
    and export MALLOC_TRIM_THRESHOLD_=262144 when starting cinder-volume and
    cinder-backup (Closes: #1040778).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 15:27:04 +0200

cinder (2:22.0.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:58:44 +0200

cinder (2:22.0.0-3) experimental; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Reject unsafe delete attachment calls
    (Closes: #1035961).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 May 2023 12:22:24 +0200

cinder (2:22.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 10:26:59 +0200

cinder (2:22.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-test_backup_s3.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:16:11 +0100

cinder (2:22.0.0~rc1-1) experimental; urgency=medium

  * New usptream release.
  * Removed (build-)depends versions, satisfied in Bookworm.
  * debhelper-compat = 11.
  * Removed lsb-base depends.
  * Fixed (build-)depends for this release.
  * Standards-Version: 4.6.1.
  * Update py3.11-test_rbd_iscsi_Make_tests_compatible_with_python.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Mar 2023 14:01:35 +0100

=== debian/control ===
Source: cinder
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-barbicanclient,
 python3-boto3,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-decorator,
 python3-doc8,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-googleapi,
 python3-greenlet,
 python3-hacking,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mypy (>= 1.2.0),
 python3-mysqldb,
 python3-novaclient (>= 2:18.2.0),
 python3-oauth2client,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-brick,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-oslotest,
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psutil,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-pyparsing,
 python3-reno,
 python3-requests,
 python3-routes,
 python3-rtslib-fb,
 python3-six,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 qemu-utils,
 subunit,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
Vcs-Git: https://salsa.debian.org/openstack-team/services/cinder.git
Homepage: https://github.com/openstack/cinder

Package: cinder-api
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 cryptsetup-bin,
 cgroup-tools,
 python3-cinder (= ${binary:Version}),
 thin-provisioning-tools,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt | open-iscsi,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 python3-barbicanclient,
 python3-boto3,
 python3-castellan,
 python3-cryptography,
 python3-cursive,
 python3-decorator,
 python3-eventlet,
 python3-glanceclient,
 python3-googleapi,
 python3-greenlet,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mysqldb,
 python3-novaclient (>= 2:18.2.0),
 python3-oauth2client,
 python3-os-brick,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-routes,
 python3-rtslib-fb,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ceph-common,
 python3-ceph,
 python3-hp3parclient,
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT ?= https://opendev.org/openstack/cinder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst debian/cinder-common.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.templates
	if [ -e debian/po-backup ] ; then \
		rm -rf debian/po ; \
		mv debian/po-backup debian/po ; \
	fi
	rm -rf build $(CURDIR)/debian/*.init
	find . -name '*.pyc' -delete
	rm -rf .stestr
	rm -rf cinder.egg-info
	rm -f AUTHORS ChangeLog
	rm -rf doc/source/contributor/api doc/source/drivers.rst
	rm -f doc/source/_static/cinder.conf.sample doc/source/_static/cinder.policy.yaml.sample
	rm -rf .datacore_cha conversion
	rm -f .datacore_chap
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cinder-common.postrm
	cp -auxf debian/po debian/po-backup
	pkgos-merge-templates cinder-api cinder endpoint
	pkgos-merge-templates cinder-common cinder db rabbit ksat

override_dh_install:
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# See https://bugs.launchpad.net/cinder/+bug/2000436
	# See https://bugs.launchpad.net/cinder/+bug/2046227
	pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit\.(?!(volume\.drivers\.test_nfs.*)|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume_not_found|.*backup\.drivers\.test_backup_ceph\.BackupCephTestCase.*|.*volume\.drivers\.hpe\.test_hpe3par.*|objects\.test_objects\.TestObjectVersions\.test_versions)'
endif

	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf \
		--wrap-width 140 \
		--namespace castellan.config \
		--namespace cinder \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler \
		--namespace oslo.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.privsep \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.versionedobjects \
		--namespace os_brick

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf keystone_authtoken cinder

	mkdir -p $(CURDIR)/debian/cinder-common/etc/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cinder-common/etc/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace cinder

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/cinder-common/etc/policy.d/00_default_policy.yaml


	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_policy policy_dirs /etc/cinder/policy.d

	dh_install
	dh_missing --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT auth_strategy keystone

	# Set LVM as default backend
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT enabled_backends lvm
	echo "[lvm]" 				>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_driver = cinder.volume.drivers.lvm.LVMVolumeDriver" >> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_group = pkgosvg0" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_protocol = iscsi" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_helper = tgtadm" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Set a default value for lock_path & state_path
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_concurrency lock_path /var/lock/cinder

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf database sqlite:////var/lib/cinder/cinderdb

	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-cinder/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/cinder-doc/usr/share/doc/cinder-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
